MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003436ATutor- no cat -public2008-06-06 12:542008-08-21 08:53
Reporterharris 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.1 
Summary0003436: get.php conditional checks differ in php version
DescriptionDifferent version of PHP seemed to have different $_SERVER variables, causing the conditional checks to fail.

For instance, PHP 5.2.x and PHP 5.1.x have different PHP_SELF values.

More, 5.1.6 uses
 [ORIG_PATH_TRANSLATED]
 [ORIG_PATH_INFO]
 [ORIG_SCRIPT_NAME]
 [ORIG_SCRIPT_FILENAME]

Whereas 5.2.5 uses
 [PATH_TRANSLATED]
 [PATH_INFO]
 [SCRIPT_NAME]
 [SCRIPT_FILENAME]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002992)
harris (developer)
2008-06-09 06:06
edited on: 2008-06-09 06:40

http://bugs.php.net/bug.php?id=34554 [^]
http://bugs.php.net/bug.php?id=31892 [^]

Apparently it's fixed after 5.2.0

(0002993)
harris (developer)
2008-06-09 06:49

7599
(0002994)
harris (developer)
2008-06-09 06:50

7599

- Issue History
Date Modified Username Field Change
2008-06-06 12:54 harris New Issue
2008-06-06 12:54 harris Affects version => SVN
2008-06-09 06:06 harris Note Added: 0002992
2008-06-09 06:08 harris Note Edited: 0002992
2008-06-09 06:40 harris Note Edited: 0002992
2008-06-09 06:49 harris Status new => assigned
2008-06-09 06:49 harris Assigned To => harris
2008-06-09 06:49 harris Status assigned => resolved
2008-06-09 06:49 harris Resolution open => fixed
2008-06-09 06:49 harris Note Added: 0002993
2008-06-09 06:50 harris Note Added: 0002994
2008-06-09 06:50 harris Fixed in Version => 1.6.1
2008-08-21 08:53 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker